Subject: Re: Problem with mini-PCI-E slot on P2020RDB

From: Felix Radensky <[email-masked]>
Date: Thu, 17 Dec 2009 09:22:19 +0200

Hi,

Mahajan Vivek-B08308 wrote:
>>
>> I've enabled MSI in ath9k driver, by simply adding 
>> pci_enable_msi() and
>> pci_disable_msi() at relevant places. The MSI interrupt is allocated.
>>
>> irq: irq 0 on host /soc@ffe00000/msi@41600 mapped to virtual irq 18
>> phy0: Atheros AR9280 MAC/BB Rev:2 AR5133 RF Rev:d0: 
>> mem=0xf2160000, irq=18
>>
>> cat /proc/interrupts
>>            CPU0
>>  18:          0   FSL-MSI   Edge      ath9k
>>
>> lspci -v shows that MSI was enabled on device
>>
>> But I don't get any interrupts. I've posted a question to 
>> ath9k list, maybe folks there will have some ideas.
>>     
>
> I just noticed a MSI enable bit in drivers/net/wireless/ath/ath9k/reg.h 
> as under, may be we need to trun this on:-
>
> reg.h:1013:#define AR_PCIE_MSI                              0x4094
> reg.h:1014:#define AR_PCIE_MSI_ENABLE                       0x00000001
>
>   
According to ath9k developers adding MSI support to the driver is not 
trivial.
They've tried once, it didn't work and they gave up. Any chance I can use
mini-PCI-E slot without MSI ?

Thanks.

Felix.